package com.cirs.biz.mapper;

import java.util.List;
import com.cirs.biz.domain.FactoryScore;

/**
 * 厂家得分Mapper接口
 * 
 * @author allen
 * @date 2023-12-10
 */
public interface FactoryScoreMapper 
{
    /**
     * 查询厂家得分
     * 
     * @param id 厂家得分主键
     * @return 厂家得分
     */
    public FactoryScore selectFactoryScoreById(Long id);

    /**
     * 查询厂家得分列表
     * 
     * @param factoryScore 厂家得分
     * @return 厂家得分集合
     */
    public List<FactoryScore> selectFactoryScoreList(FactoryScore factoryScore);

    /**
     * 新增厂家得分
     * 
     * @param factoryScore 厂家得分
     * @return 结果
     */
    public int insertFactoryScore(FactoryScore factoryScore);

    /**
     * 修改厂家得分
     * 
     * @param factoryScore 厂家得分
     * @return 结果
     */
    public int updateFactoryScore(FactoryScore factoryScore);

    /**
     * 删除厂家得分
     * 
     * @param id 厂家得分主键
     * @return 结果
     */
    public int deleteFactoryScoreById(Long id);

    /**
     * 批量删除厂家得分
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFactoryScoreByIds(Long[] ids);
}
